Bug 214470 - ooimpress receives an XError on rendering PPT presentation preview
Summary: ooimpress receives an XError on rendering PPT presentation preview
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-07 19:23 UTC by Horst H. von Brand
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.1.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-09 11:58:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File I tried to see here (658.50 KB, application/vnd.ms-powerpoint)
2006-11-07 19:23 UTC, Horst H. von Brand
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 71346 None None None Never

Description Horst H. von Brand 2006-11-07 19:23:17 UTC
Description of problem:
Opening a PPT, ooimpress shows the principal screen with the first page of the
presentation and then closes.

Version-Release number of selected component (if applicable):
openoffice.org-impress-2.1.0-1.1

How reproducible:
Always

Steps to Reproduce:
1. ooimpress something.ppt
2.
3.
  
Actual results:
Spash screen, principal screen with presentation, ooimpress closes immediately.

Expected results:
ooimpress stays open

Additional info:

Comment 1 Horst H. von Brand 2006-11-07 19:23:19 UTC
Created attachment 140584 [details]
File I tried to see here

Comment 2 Caolan McNamara 2006-11-08 14:13:59 UTC
I see it, it exits on (apparently) rendering the second slide on the preview area, 
backtrace from exit is...

#0  0x00bfcb64 in _exit () from /lib/libc.so.6
#1  0x006bff72 in desktop::Desktop::Exception () from
/usr/lib/openoffice.org2.1/program/libsoffice.so
#2  0x0024d28f in CreateMainLoopThread () from
/usr/lib/openoffice.org2.1/program/libvcl680li.so
#3  0x0012e5c8 in vos::signalHandlerFunction_impl ()
   from /usr/lib/openoffice.org2.1/program/libvos3gcc3.so
#4  0x00fb38f7 in osl_removeFile () from
/usr/lib/openoffice.org2.1/program/libuno_sal.so.3
#5  0x00fb3cd0 in osl_raiseSignal () from
/usr/lib/openoffice.org2.1/program/libuno_sal.so.3
#6  0x0252d051 in SalXLib::XError () from
/usr/lib/openoffice.org2.1/program/libvclplug_gen680li.so
#7  0x0252d105 in X11SalData::XErrorHdl ()
   from /usr/lib/openoffice.org2.1/program/libvclplug_gen680li.so
#8  0x03297dda in _XError () from /usr/lib/libX11.so.6
#9  0x0329a32d in _XEventsQueued () from /usr/lib/libX11.so.6
#10 0x03285eb2 in XPending () from /usr/lib/libX11.so.6
#11 0x04de976d in gdk_event_send_client_message_for_display () from
/usr/lib/libgdk-x11-2.0.so.0
#12 0x04de9861 in gdk_event_send_client_message_for_display () from
/usr/lib/libgdk-x11-2.0.so.0
#13 0x0338a7a2 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#14 0x0338af75 in g_main_context_check () from /lib/libglib-2.0.so.0
#15 0x0338b815 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#16 0x0212aed1 in ?? () from
/usr/lib/openoffice.org2.1/program/libvclplug_gtk680li.so
#17 0x00000000 in ?? ()

which would lead me to presume that it has caught an XError

Comment 3 Caolan McNamara 2006-11-08 14:18:34 UTC
in which case a temporary workaround should be...

export SAL_IGNOREXERRORS=true
ooimpress ch14.ppt

Comment 4 Caolan McNamara 2006-11-08 14:35:42 UTC
Pending reproducable/not-reproducable state upstream

Comment 5 Horst H. von Brand 2006-11-09 02:09:01 UTC
(In reply to comment #4)
> Pending reproducable/not-reproducable state upstream

(In reply to comment #3)
> in which case a temporary workaround should be...
> 
> export SAL_IGNOREXERRORS=true
> ooimpress ch14.ppt

Yep, that "fixes" it here, just gives:

  SAL_IGNOREXERRORS=true ooimpress /home/vonbrand/UTFSM/SO/ppt7/ch13.ppt &
  [1] 6467 
  [vonbrand@laptop13 linux-2.6.git]$ GTK Accessibility Module initialized

  ** (VCLSalFrame:6477): WARNING **: Invalidate all children called

  GTK Accessibility Module shutdown


BTW, still crashes with openoffice.org-impress-2.1.0-1.2

Comment 6 Caolan McNamara 2006-11-09 11:58:47 UTC
This appears to work in 2.1.0-2.1 now, can you confirm, and re-open if you still
see it


Note You need to log in before you can comment on or make changes to this bug.